WP Basic Authentication

Beschrijving

WP Basic Authentication is a plugin for protected your development WordPress site like .htpasswd and support Docker and Kubernetes (K8s)

Features:

  • Easy for setting Basic Authentication
  • Basic Authentication works like .htpasswd
  • Protected development website or demo website without .htpasswd
  • Support Docker and Kubernetes (K8s)
  • The plugin is lightweight.

Schermafbeeldingen

  • Basic Authentication dialog
  • Screenshot of the menu page for Featured Posts Setting page.

Installatie

  1. Upload wp-basic-authentication.zip to the install plugin page
  2. Activate the plugin through the ‘Plugins’ menu in WordPress
  3. Go to Authentication in the left-hand menu to start setting the plugin

FAQ

How to setting the plugin?

Go to Authentication in the left-hand menu to start setting the plugin

How to disable Authentication if I forgot the credentials

Rename or delete ‘wp-basic-authentication’ directory in plugins directory via FTP or commend line

Beoordelingen

4 oktober 2023
This plugin is still working perfectly, just as described.(Can you update the compatibility version? It shows this on install: "Warning: This plugin has not been tested with your current version of WordPress.")
5 juli 2021
This plugin perfectly reproduces the functionality of .htpasswd on Apache. We needed a solution like this for a website that is running on OpenLiteSpeed, and it works perfectly. Thank you!
Lees alle 4 beoordelingen

Bijdragers & ontwikkelaars

“WP Basic Authentication” is open source software. De volgende personen hebben bijgedragen aan deze plugin.

Bijdragers

“WP Basic Authentication” is vertaald in 2 talen. Dank voor de vertalers voor hun bijdragen.

Vertaal “WP Basic Authentication” naar jouw taal.

Interesse in ontwikkeling?

Bekijk de code, haal de SVN repository op, of abonneer je op het ontwikkellog via RSS.

Changelog

1.0.3

  • Tested up to WordPress 6.5
  • Separate protected frontend and wp-login page

1.0.2

  • Tested up to WordPress 6.1.1
  • Add Tip me on ko-fi

1.0.1

  • Tested up to WordPress 5.8.1

1.0.0

  • Initial Release